| Home | Libraries | People | FAQ | More

## Struct template function

boost::proto::function — A metafunction for generating function-call expression types, a grammar element for matching function-call expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    template<typename... A>
    struct function :  proto::transform< function<A...> > {
      // types
      typedef proto::expr< proto::tag::function, proto::listN< A... > > type;
      typedef type                                                      proto_base_expr;
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<function>::template impl<Expr, State, Data>
      {
      };
    };

## Description